package cn.qinys.platform.base.annotation;

import java.lang.annotation.*;

/**
 * Description: 是否是限制的接口访问
 *
 * @author tanlie
 * Date: 2024/9/2 11:21
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Inherited
@Documented
public @interface LimitedRequest {
    boolean value() default true;

    //限制次数
    int limit() default 0;

    //限制时间 秒
    long timeout() default 60L;

    String description() default "";

}
